Bug 402071 - Clean up macio.c, add new devices.
Summary: Clean up macio.c, add new devices.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-28 01:37 UTC by David Woodhouse
Modified: 2014-03-17 03:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-22 16:58:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (13.65 KB, patch)
2007-11-28 01:37 UTC, David Woodhouse
no flags Details | Diff
replacement patch (13.65 KB, patch)
2007-11-28 13:50 UTC, David Woodhouse
no flags Details | Diff
additional patch (2.30 KB, patch)
2007-11-28 20:23 UTC, David Woodhouse
no flags Details | Diff
pata_mpc52xx support patch (1.08 KB, patch)
2007-11-28 20:25 UTC, David Woodhouse
no flags Details | Diff

Description David Woodhouse 2007-11-28 01:37:09 UTC
This makes macio.c a little saner and stops it leaking memory.

It also adds support for non-PCI OHCI USB controllers, for the onchip Ethernet
of MPC52xx devices, for newer Apple devices which should use snd-aoa-i2sbus
instead of snd-powermac, for IDE in the new PA Semi 'Electra' machines, and for
the MV643xx Ethernet device used on Pegasos (and I believe the OLPC school
server machines).

Comment 1 David Woodhouse 2007-11-28 01:37:09 UTC
Created attachment 270651 [details]
patch

Comment 2 David Woodhouse 2007-11-28 13:43:54 UTC
oops, patch works better with s/ohci_hcd/ohci-hcd/


Comment 3 David Woodhouse 2007-11-28 13:50:38 UTC
Created attachment 271331 [details]
replacement patch

Stupid dwmw2. No biscuit.

Comment 4 Bill Nottingham 2007-11-28 15:35:41 UTC
Added in CVS. Will be in 1.2.81-1.

Comment 5 David Woodhouse 2007-11-28 20:23:38 UTC
Created attachment 271701 [details]
additional patch

Thanks. Please also apply this new patch, which makes it find the names of the
Ethernet devices in sysfs.

Comment 6 David Woodhouse 2007-11-28 20:25:00 UTC
Created attachment 271711 [details]
pata_mpc52xx support patch

... and this one which adds another new device; I thought this one was already
working, but evidently I was wrong.

This also fixes a bug in the match code for electra-ide.

Comment 7 Bill Nottingham 2007-11-28 21:40:14 UTC
Added in CVS.

Comment 8 Bug Zapper 2008-05-14 04:01:37 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.